Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Interface AutonomousProvider

All Superinterfaces:
  Provider

All Known Implementing Classes:
  EjbProvider

public interface AutonomousProvider
extends Provider

`AutonomousProvider` extends the `Provider` interface for a provider that defines its own services. Since the SOAP server is not aware of the services offered by an autonomous provider, the server must be able to query the provider to determine whether it can handle a specific service request.

This provider was specifically created for Oracle EJBs.

An autonomous provider implementation must:

- provide a no-args constructor
- be thread-safe

Method Summary
`boolean` | `isMine(java.lang.String serviceId)` Return an indication of whether this provider can handle the given service request.
`java.lang.String[]` | `list()` Return the list of all SOAP services that are available through this provider.

Methods inherited from interface oracle.soap.server.Provider
`destroy, getId, init, invoke`

Method Detail

### isMine

    public boolean isMine(java.lang.String serviceId)
                   throws SOAPException

  Return an indication of whether this provider can handle the given service request.
  Parameters:
    `serviceId` - The id of the requested service.
  Throws:
    `SOAPException` - Unable to make determination.

### list

    public java.lang.String[] list()
                            throws SOAPException

  Return the list of all SOAP services that are available through this provider.
  Returns:
    The list of SOAP service URIs.
  Throws:
    `SOAPException` - Unable to provide list.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.